var util = require('../../../utils/util.js');
var api = require('../../../config/api.js');



var app = getApp();

Page({
  data: {
    array: ['请选择反馈类型', '商品相关', '物流状况', '客户服务', '优惠活动', '功能异常', '产品建议', '其他'],
    index: 0,
    feedback: {}
  },
  bindPickerChange: function (e) {
    this.setData({
      index: e.detail.value
    })
  },
  saveFeedback: function (e) {
    let feedback = e.detail.value;
    if (feedback.feedType == '0') {
      util.showErrorToast('请选择反馈类型');

      return false;
    }
    if (feedback.content == '') {
      util.showErrorToast('请输入反馈内容');
      return false;
    }
    if (feedback.mobile == '') {
      util.showErrorToast('请输入手机号码');
      return false;
    }
    if (feedback.mobile.length != 11) {
      util.showErrorToast('手机号码有误');
      return false;
    }
    let regular = /^1[3|4|5|7|8]\d{9}$/;
    if (!regular.test(feedback.mobile)) {
      util.showErrorToast('手机格式不正确')
      return false;
    }

    let that = this;
    feedback.merchSn = wx.getStorageSync("merchSn");
    feedback.storeId = wx.getStorageSync("storeId");
    util.request(api.FeedbackSave, {
      feedback: feedback
    }, 'POST').then(function (res) {
      if (res.errno === 0) {
        
        wx.showModal({
          title: '',
          showCancel:false,
          content: res.data,
          success: function (res) {
            wx.navigateBack({});
          }
        })
      }
    });
  },
  onLoad: function (options) {
  },
  onReady: function () {

  },
  onShow: function () {

  },
  onHide: function () {
    // 页面隐藏

  },
  onUnload: function () {
    // 页面关闭
  }
})